import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Schattenmonster extends Actor
{
    private int speed;

    public Schattenmonster() {
       // this.getImage().scale(this.getImage().getWidth()/3, this.getImage().getHeight()/3);
        this.speed = 4;
    }

    public void act() 
    {
        this.move(this.speed);
        if(this.isAtEdge()) {
            this.turn(Greenfoot.getRandomNumber(360));
        }

    }    
}